RUDOF(1)

NAME
rudof node - Show information about a node in an RDF Graph

SYNOPSIS
rudof node [OPTIONS] --node <Node> [DATA]...

DESCRIPTION
Show information about a node in an RDF Graph

  Arguments:

    [DATA]...

OPTIONS

-n, --node <Node>
    Node to show information (can be a URI or prefixed name)

-t, --data-format <FORMAT>
    RDF Data format [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

-e, --endpoint <Endpoint>
    Endpoint with RDF data (URL or name)

-b, --base <IRI>
    Base IRI

--reader-mode <MODE>
    RDF Reader mode [default: strict] [possible values: lax, strict]

-m, --show-node-mode <MODE>
    Mode used to show the node information [default: outgoing] [possible values: outgoing, incoming, both]

--show hyperlinks
    Show hyperlinks in the output

-p, --predicates <PREDICATES>
    List of predicates to show

-o, --output-file <FILE>
    Output file name, default = terminal

-d, --depth <NUMBER>
    outgoing number of levels, default = 1 [default: 1]

-c, --config <FILE>
    Path to config file

--force-overwrite
    Force overwrite to output file if it already exists

-h, --help
    Print help